@font-face {
	font-family: "DPGMedium";
	src: url(/National_Library/oe_/https://privacy.dpgmedia.nl/resources/fonts/Montserrat-Medium.woff2) format("woff2");
	font-weight: 400;
	font-display: fallback;
}

@font-face {
	font-family: "DPGRegular";
	src: url(/National_Library/oe_/https://privacy.dpgmedia.nl/resources/fonts/Montserrat-Regular.woff2) format("woff2");
	font-display: fallback;
}

@font-face {
	font-family: "DPGBold";
	src: url(/National_Library/oe_/https://privacy.dpgmedia.nl/resources/fonts/Montserrat-Bold.woff) format("woff");
	font-display: fallback;
}

@font-face {
	font-family: "DPGSemiBold";
	src: url(/National_Library/oe_/https://privacy.dpgmedia.nl/resources/fonts/Montserrat-SemiBold.woff) format("woff");
	font-display: fallback;
}

body, html {
	font-family: "DPGRegular", Trebuchet, Arial, sans-serif;
	font-size: 16px;
	font-weight: 400;
	line-height: 1.625;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

body {
	margin: 0;
}

strong {
	font-weight: 600
}

a, body, html {
	color: #242424
}

a {
	text-decoration: none;
}

#document-body a {
	color: #008BC3;
	text-decoration-line: underline;
}

#document-body a:hover, #document-body a:active {
	color: #146485;
}

::selection {
	background-color: #fabb22;
	color: #fff
}

a:hover {
	color: #707070
}

.content {
	max-width: 540px;
	padding-right: 15px;
	padding-left: 15px;
	margin-right: auto;
	margin-left: auto;
}

.privacy-rights-content {
	font-family: "DPGRegular";
	font-weight: 400;
	font-size: 14px;
	line-height: 24px;
}

.small-content {
	padding: 20px 15px;
	max-width: 350px;
	margin-right: auto;
	margin-left: auto;
}

.content-block {
	margin-top: 50px;
	margin-bottom: 50px;
}

.logo-image {
	max-height: 100px;
	padding-bottom: 30px;
	padding-left: 0;
}

.centered-image {
	display: block;
	margin-left: auto;
	margin-right: auto;
	max-width: 100%;
}

.expandable-block a {
	color: #008BC3;
	text-decoration-line: underline;
}

/* --- titles --- */
.primary-title, h1 {
	font-family: "DPGRegular";
	font-size: calc(20px + 0.3vw);
	line-height: 24px;
	font-weight: 600;
}

.secondary-title, h2 {
	margin: 0;
	text-transform: uppercase;
	font-family: "DPGBold";
	font-weight: 700;
	font-size: 14px;
	color: #783C96;
}

.tertiary-title, h3 {
	font-family: "DPGRegular";
	font-weight: 600;
	font-size: 18px;
	line-height: 22px;
	letter-spacing: normal;
	font-style: normal;
	font-stretch: normal;
}

@media only screen and (max-width: 768px) {

	.content-block h3 {
		text-align: center;
	}

}
/* --- Table of contents --- */

.table-of-contents {
	background-color: #F2F2F2;
	padding: 20px;
	border-radius: 3px;
}

.table-of-contents a {
	color: #008BC3;
	text-decoration-line: underline;
}

.table-of-contents a:hover, .table-of-contents a:active {
	color: #146485;
}

.table-of-contents ::marker {
	color: #008BC3;
	font-size: 0.5em;
}

.table-of-contents ul {
	padding: 10px;
	margin: 0;
}

.table-of-contents ul li a {
	line-height: 30px;
	font-weight: 500;
}

.sub-section::before {
	display: block;
	content: " ";
	margin-top: -90px;
	height: 90px;
	visibility: hidden;
	pointer-events: none;
}

@media only screen and (max-width: 768px) {
	.sub-section::before {
		margin-top: -55px;
		height: 55px;
	}
}

/* --- Input fields --- */

/* Input general styling */
.input {
	box-sizing: border-box;
	border: 1px solid #E6E6E6;
	border-radius: 3px;
	margin-bottom: 10px;
	font-family: "DPGRegular";
	font-weight: normal;
	font-size: 14px;
	line-height: 17px;
	padding-left: 15px;
	position: relative;
	width: 100%;
}

.input:focus {
	border: 1px solid #008BC3;
	outline: none !important;
}

input:-webkit-autofill {
	-webkit-box-shadow: 0 0 0 50px white inset; /* Change the color to your own background color */
	-webkit-text-fill-color: #333;
}

input:-webkit-autofill:focus {
	-webkit-box-shadow: 0 0 0 50px white inset; /*your box-shadow*/
	-webkit-text-fill-color: #333;
}

.input::placeholder, select {
	font-family: "DPGRegular";
	font-weight: normal;
	color: #666666;
}

.form-input {
	height: 45px;
	padding-top: 12px;
	white-space: nowrap;
	padding-right: 15px;
}

.form-input-half {
    width: 50%;
    height: 45px;
    padding-top: 12px;
    white-space: nowrap;
    padding-right: 15px;
}

.form-text-area {
	height: 145px;
	padding: 15px 30px 15px 15px;
    margin-bottom: unset;
}

.form-select {
	-moz-appearance: none; /* Firefox */
	-webkit-appearance: none; /* Safari and Chrome */
	appearance: none;
	background: transparent;
	background-image: url("/National_Library/oe_/https://privacy.dpgmedia.nl/resources/icons/chevron-down.svg");
	background-repeat: no-repeat;
	background-position-x: 98%;
	background-position-y: 17px;
	height: 45px;
}

/* Floating label CSS */
.floating-input {
	position: relative;
}

.floating-label {
	font-family: "DPGRegular";
	font-weight: normal;
	font-size: 14px;
	color: #666666;
	position: absolute;
	pointer-events: none;
	left: 18px;
	bottom: 22px;
	transition: 0.2s ease all;
}

.floating-input input:focus ~ .floating-label,
.floating-input input:not(:focus):not(:placeholder-shown) ~ .floating-label,
.floating-label-select {
	bottom: 34px;
	left: 16px;
	font-size: 10px;
	opacity: 1;
}

.floating-label-select {
	position: absolute;
}

/* Input validation */
.field-danger {
	border: 1px solid #E6463C;
}

.field-success {
	position: absolute;
	bottom: 25px !important;
	right: 15px !important;
}

.field-danger, .field-danger:focus {
	border: 1px solid #E6463C;
}

.validation-message {
	position: relative;
	display: block;
	margin-top: 4px;
	color: #E6463C;
	font-weight: normal;
	font-size: 12px;
	line-height: 16px;
	margin-bottom: 10px;
}
/* --- Buttons ---- */

/* Shared CSS buttons */
.primary-btn, .secondary-btn, .tertiary-btn {
	display: block;
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	border-radius: 3px;
	font-weight: 600;
	font-size: 15px;
	text-align: center;
	text-decoration: none !important;
	height: 45px;
	max-height: 45px;
	padding: 0.7em 1em;
	cursor: pointer;
}

.wide-button {
	width: 100%;
}

/* Primary button */
.primary-btn {
	background-color: #FABB22;
	color: #000000 !important;
	border: none;
	font-family: DPGRegular;
}

.primary-btn:not([disabled]):hover {
	box-sizing: border-box;
	border: 2px solid #E1A81F;
	color: #000000 !important;
	padding: 0.59em 1em;
}

.primary-btn:active {
	background-color: #E1A81F;
}

.primary-btn:disabled {
	background-color: grey;
	cursor: initial;
}

.primary-btn:focus {
	outline: 1px solid #FABB22;
	border: 3px solid #FFFFFF;
	padding: 0.59em 1em;
}

/* Secondary button */
.secondary-btn {
	background-color: #000000;
	color: #FFFFFF;
	border: none;
}

.secondary-btn:hover {
	border: 2px solid #666666;
	padding: 0.59em 1em;
}

.secondary-btn:active {
	background-color: #666666;
	padding: 0.59em 1em;
}

.secondary-btn:focus {
	outline: 1px solid #FABB22;
	border: 3px solid #FFFFFF;
	padding: 0.59em 1em;
}

/* Tertiary button */
.tertiary-btn {
	background-color: #FFFFFF;
	color: #000000;
	border: 1px solid #000000;
}

.tertiary-btn:hover {
	border: 2px solid #000000;
	padding: 0.59em 1em;
}

.tertiary-btn:active {
	background-color: #000000;
	color: #FFFFFF;
	padding: 0.59em 1em;
}

.tertiary-btn:focus {
	outline: 1px solid #FABB22;
	border: 2px solid #000000;
	padding: 0.59em 1em;
}

/* --- Links --- */

li .link {
	font-size: 14px;
}

.link, .document-content a, .small-content a, .privacy-rights-content a {
	text-decoration: underline;
	color: #008BC3;
	font-weight: 500;
	cursor: pointer;
}

.link:hover, .link:active,
.small-content a:hover, .small-content a:active,
.privacy-rights-content a:hover, .privacy-rights-content a:active,
.document-content a:hover, .document-content a:active {
	color: #146485;
}

.back-link {
	text-decoration: underline;
	text-align: center;
	color: #666666;
	font-weight: 600;
	font-size: 14px;
	padding-top: 20px;
    margin-top: 0;
}

/* ---- DPG Checkbox ---- */

.checkbox-label {
	font-size: 14px;
	line-height: 17px;
	display: flex;
	gap: 15px;
	padding: 5px 0;
}

.dpg-checkbox {
	/* Add if not using autoprefixer */
	-webkit-appearance: none;
	appearance: none;
	/* For iOS < 15 to remove gradient background */
	background-color: #fff;
	/* Not removed via appearance */
	margin: 0;
	width: 20px;
	height: 20px;
	border: 1px solid #E6E6E6;
	border-radius: 0.15em;
	transform: translateY(-0.075em);
	display: grid;
	place-content: center;
	cursor: pointer;
}

.dpg-checkbox::before {
	content: "";
	width: 13px;
	height: 10px;
	transform: scale(0);
	transition: 120ms transform ease-in-out;
	transform-origin: bottom left;
	clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
	box-shadow: inset 1em 1em #fabb22;
}

.dpg-checkbox:checked::before {
	transform: scale(1);
}

/* ---- Expandables ---- */

.block-group {
	display: flex;
	flex-direction: column;
	gap: 16px;
}

.expandable-block {
	border: 1px solid #E6E6E6;
	border-radius: 8px;
	padding-left: 15px;
	padding-right: 15px;
}

.checkbox-input, .radio-input {
	height: 20px;
	width: 20px;
	min-width: 20px;
	min-height: 20px;
	margin: 15px 10px 0 0;
    accent-color: #008BC3;
}

.expandable-block label {
	padding: 0 15px 15px 0;
	font-size: 14px;
	display: flex;
}

.expandable-block label span {
	padding-top: 15px;
	line-height: 22px;
}

/* --- Dropdown link styling --- */
.dropdown-item {
	display: block;
	padding: 1em 0;
}

/* This class can be added to document elements from the Privacy Service.
They will not be displayed in the Privacy Portal (while remaining unaffected elsewhere). */
.display-optional {
	display: none;
}

/* --- Convenience classes --- */
.hidden {
	display: none;
}

.invisible {
	visibility: hidden;
}

.selected {
	border: 1px solid #FABB22;
}

.center {
	margin-left: auto;
	margin-right: auto;
}

.bold-header {
	font-weight: 600;
	line-height: 17px;
}

.text-align-center {
	text-align: center;
}

.padded-border-bottom {
	padding-bottom: 20px;
	border-bottom: 1px solid #E6E6E6;
}

.padded-bottom {
	padding-bottom: 10px;
}

.padded-top {
	padding-top: 15px;
}

/* --- url list ---- */
.service-urls {
	text-align: left;
	padding-bottom: 1em;
}

@media only screen and (max-width: 768px) {
	.service-urls {
		padding-left: 15px !important;
	}
}